Bug 1573838 - Allow LUKS2 format in systemd/cryptsetup binary
Summary: Allow LUKS2 format in systemd/cryptsetup binary
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: systemd-maint
QA Contact: Frantisek Sumsal
URL:
Whiteboard:
Depends On: 1593796 1593840
Blocks: 1654309 1475904
TreeView+ depends on / blocked
 
Reported: 2018-05-02 10:56 UTC by Ondrej Kozina
Modified: 2019-03-07 15:49 UTC (History)
5 users (show)

Fixed In Version: systemd-219-58.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 11:32:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3245 0 None None None 2018-10-30 11:33:19 UTC

Description Ondrej Kozina 2018-05-02 10:56:53 UTC
Please backport following patch. It enables systemd/cryptsetup to understand (and unlock) LUKS2 on disk format.

- b3b4ebab02395933cde554b5a5d5c363dae3920d (cryptsetup: support LUKS2 on-disk format)

Comment 2 Jan Synacek 2018-05-03 10:57:44 UTC
https://github.com/lnykryn/systemd-rhel/pull/204

Comment 4 Frantisek Sumsal 2018-05-28 09:47:53 UTC
qa_ack+ for RHEL 7.6

Comment 5 Lukáš Nykrýn 2018-06-18 11:30:54 UTC
fix merged to staging branch -> https://github.com/lnykryn/systemd-rhel/pull/204 -> post

Comment 10 errata-xmlrpc 2018-10-30 11:32:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3245


Note You need to log in before you can comment on or make changes to this bug.